MGASA-2022-0106 - Updated 389-ds-base packages fix security vulnerability

Publication date: 21 Mar 2022
URL: https://advisories.mageia.org/MGASA-2022-0106.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-4091

A double-free was found in the way 389-ds-base handles virtual attributes
context in persistent searches. An attacker could send a series of search
requests, forcing the server to behave unexpectedly, and crash.
(CVE-2021-4091)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30175
- https://access.redhat.com/errata/RHSA-2022:0889
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-4091

SRPMS:
- 8/core/389-ds-base-1.4.0.26-8.2.mga8